clang 10.0.0git

Classes | Functions
clang::driver::tools::AMDGCN Namespace Reference

## Classes
class | Linker

## Functions
void | constructHIPFatbinCommand (Compilation &C, const JobAction &JA, StringRef OutputFileName, const InputInfoList &Inputs, const llvm::opt::ArgList &TCArgs, const Tool &T)

## Function Documentation

## ◆ constructHIPFatbinCommand()

void clang::driver::tools::AMDGCN::constructHIPFatbinCommand | ( | Compilation & | C,
|  | const JobAction & | JA,
|  | StringRef | OutputFileName,
|  | const InputInfoList & | Inputs,
|  | const llvm::opt::ArgList & | TCArgs,
|  | const Tool & | T
| ) |  |

Definition at line 201 of file HIP.cpp.

References clang::driver::Compilation::addCommand(), clang::driver::ToolChain::GetProgramPath(), clang::driver::Tool::getToolChain(), and NULL_FILE.

Referenced by clang::driver::tools::AMDGCN::Linker::ConstructJob().